#pragma once

#include "CoreMinimal.h"
#include "InteractionDefinition.h"
#include "DestroyWithPower.generated.h"

UCLASS(Blueprintable, Abstract, EditInlineNew, meta=(BlueprintSpawnableComponent))
class UDestroyWithPower : public UInteractionDefinition
{
	GENERATED_BODY()

public:
	UDestroyWithPower();
};

FORCEINLINE uint32 GetTypeHash(const UDestroyWithPower) { return 0; }
